> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostsecurity.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get projects

> Get a paginated list of projects for the organization



## OpenAPI

````yaml https://api.ghostsecurity.ai/openapi.json get /v2/projects
openapi: 3.1.0
info:
  contact:
    email: support@ghostsecurity.com
    name: Ghost Security
    url: https://ghostsecurity.com/
  description: 'Provide your Bearer token as: Bearer <token>'
  title: Ghost API
  version: 2.0.0
servers:
  - description: Ghost Security API server
    url: https://api.ghostsecurity.ai
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v2/projects:
    get:
      tags:
        - projects.v2
      summary: Get projects
      description: Get a paginated list of projects for the organization
      parameters:
        - description: Pagination cursor
          in: query
          name: cursor
          schema:
            type: string
        - description: Sort field
          in: query
          name: sort
          schema:
            default: created_at
            enum:
              - created_at
              - updated_at
              - last_committed_at
            type: string
        - description: Sort order
          in: query
          name: order
          schema:
            default: desc
            enum:
              - asc
              - desc
            type: string
        - description: Page size
          in: query
          name: size
          schema:
            default: 100
            maximum: 1000
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.PaginatedResponse-exported_Project'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorUnauthorized'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorInternalServerError'
          description: Internal Server Error
      security:
        - bearerauth: []
components:
  schemas:
    types.PaginatedResponse-exported_Project:
      properties:
        has_more:
          description: Indicates if there are more items available
          example: true
          type: boolean
        items:
          description: The response items
          items:
            $ref: '#/components/schemas/exported.Project'
          type: array
          uniqueItems: false
        next_cursor:
          description: Cursor for the next page
          example: >-
            eyJzb3J0X3ZhbHVlIjoiMjAyNC0wMS0xNVQxMDozMDowMFoiLCJkb2N1bWVudF9pZCI6InJlcG8xMjMiLCJzb3J0X2ZpZWxkIjoiY3JlYXRlZF9hdCJ9
          type: string
        total:
          description: Total count of items (if available)
          example: 250
          type: integer
      type: object
    types.ErrorUnauthorized:
      description: Error response for unauthorized requests
      properties:
        error:
          description: Error message
          example: Unauthorized
          type: string
      type: object
    types.ErrorInternalServerError:
      description: Error response for internal server errors
      properties:
        error:
          description: Error message
          example: Internal server error
          type: string
      type: object
    exported.Project:
      properties:
        business_criticality:
          type: string
        cast_scan_enabled:
          type: boolean
        components:
          items:
            $ref: '#/components/schemas/exported.ProjectComponent'
          type: array
          uniqueItems: false
        created_at:
          type: string
        dependencies_file:
          type: string
        deployment_usage:
          type: string
        deployments:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
        enabled:
          type: boolean
        evidence:
          type: string
        exposure:
          type: string
        file_extensions:
          items:
            type: string
          type: array
          uniqueItems: false
        findings_count:
          type: integer
        frameworks:
          items:
            type: string
          type: array
          uniqueItems: false
        has_custom_metadata:
          type: boolean
        id:
          type: string
        languages:
          items:
            type: string
          type: array
          uniqueItems: false
        last_committed_at:
          type: string
        last_scan_id:
          type: string
        last_scan_status:
          type: string
        last_scanned_at:
          type: string
        organization_id:
          type: string
        owner:
          type: string
        primary_framework:
          type: string
        primary_language:
          type: string
        provider:
          type: string
        purpose:
          type: string
        relative_path:
          type: string
        repo:
          $ref: '#/components/schemas/exported.ProjectRepo'
        scanner_business_criticality:
          type: string
        scanner_exposure:
          type: string
        scanner_summary:
          type: string
        sensitive_data_types:
          items:
            type: string
          type: array
          uniqueItems: false
        size:
          type: integer
        summary:
          type: string
        updated_at:
          type: string
        user_business_criticality:
          type: string
        user_exposure:
          type: string
        user_summary:
          type: string
      type: object
    exported.ProjectComponent:
      properties:
        criticality:
          type: number
        description:
          type: string
        folder_name:
          type: string
        type:
          type: string
      type: object
    exported.ProjectRepo:
      properties:
        id:
          type: string
        name:
          type: string
        url:
          type: string
      type: object
  securitySchemes:
    bearerauth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````